Index: TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/conlluLoader.groovy
===================================================================
--- TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/conlluLoader.groovy	(revision 0)
+++ TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/conlluLoader.groovy	(revision 3300)
@@ -0,0 +1,57 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+//
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+//
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+//
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+//
+//
+//
+// $LastChangedDate: 2015-06-03 15:04:53 +0200 (mer., 03 juin 2015) $
+// $LastChangedRevision: 2984 $
+// $LastChangedBy: mdecorde $
+//
+package org.txm.scripts.importer.conllu;
+
+import javax.xml.stream.*
+
+import org.txm.*
+import org.txm.metadatas.*
+import org.txm.objects.*
+import org.txm.importer.scripts.xmltxm.*
+import org.txm.utils.*
+import org.txm.utils.i18n.*
+import org.txm.importer.xtz.*
+
+String userDir = System.getProperty("user.home");
+
+def MONITOR;
+Project project;
+
+try {project=projectBinding;MONITOR=monitor} catch (Exception)
+{	}
+if (project == null) { println "no project set. Aborting"; return; }
+CoNLLUImport i = new CoNLLUImport(project);
+/*
+ * To customize the XTZ import, replace the importer, compiler, annotater or pager objects before calling process()
+		i.importer = new XTZImporter(i)
+		i.compiler = new XTZCompiler(i)
+		i.annotater = new TTAnnotater(i);
+		i.pager = new XTZPager(i)
+ */
+i.process();
+readyToLoad = i.isSuccessful && project.save()
Index: TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy
===================================================================
--- TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy	(revision 0)
+++ TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy	(revision 3300)
@@ -0,0 +1,76 @@
+package org.txm.scripts.importer.conllu;
+
+import java.io.File;
+import java.util.ArrayList;
+
+import ims.tiger.index.writer.*
+import ims.tiger.system.*
+
+import org.txm.Toolbox;
+import org.txm.importer.ApplyXsl2;
+import org.txm.importer.xtz.*
+import org.txm.objects.Project
+import org.txm.utils.BundleUtils;
+import org.txm.utils.io.FileCopy;
+import org.txm.utils.io.IOUtils
+import org.apache.log4j.BasicConfigurator;
+import org.txm.importer.xtz.*
+import org.txm.scripts.importer.xtz.*
+import org.txm.scripts.importer.tigersearch.TSImport
+import org.txm.utils.*
+import org.txm.searchengine.ts.TIGERSearchEngine
+
+class CoNLLUImport extends XTZImport {
+
+	public CoNLLUImport(Project params) {
+		super(params);
+	}
+
+	@Override
+	public void init(Project p) {
+		super.init(p);
+
+		importer = new CoNLLUImporter(this);
+		compiler = new XTZCompiler(this)
+		annotater = null; // no annotater step to do
+		pager = new XTZPager(this)
+	}
+	
+	/**
+	 * Do a XTZ Import then build the TIGERSearch indexes in the binary corpus "tiger" directory
+	 */
+	@Override
+	public void start() throws InterruptedException {
+		
+		super.start(); // call the usual XTZ import
+		
+		// build the TIGER-XML file
+		new CallUD2TigerPerlScript().convertCoNLLUFiles(this.sourceDirectory.getAbsolutePath(), this.binaryDirectory.getAbsolutePath())
+		
+		
+		File tigerXMLDirectory = new File(this.binaryDirectory, "tiger-xml")
+		
+		File xslfile1 = BundleUtils.getFile("org.txm.conllu.core", "groovy", "/org/txm/scripts/importer/conllu/", "tigerXml-commentOutLongSentences.xsl")
+		File xslfile2 = BundleUtils.getFile("org.txm.conllu.core", "groovy", "/org/txm/scripts/importer/conllu/", "tigerXml-sortBfmByDate.xsl")
+		
+		ApplyXsl2 a1 = new ApplyXsl2(xslfile1);
+		ApplyXsl2 a2 = new ApplyXsl2(xslfile2);
+		for (File xmlFile : tigerXMLDirectory.listFiles()) {
+			if (!xmlFile.getName().endsWith(".xml")) continue;
+			File xmlFileTmp = new File(xmlFile.getAbsolutePath()+".tmp")
+			if (!(a1.process(xmlFile, xmlFileTmp) && xmlFile.delete() && xmlFileTmp.renameTo(xmlFile))) {
+				println "Error while applying $xslfile1 to $xmlFile"
+			}
+			
+			if (!(a2.process(xmlFile, xmlFileTmp) && xmlFile.delete() && xmlFileTmp.renameTo(xmlFile))) {
+				println "Error while applying $xslfile2 to $xmlFile"
+			}
+		}
+		
+		// build TIGER indexes
+		if (isSuccessful) {
+			// read from the 'tiger-xml' and write to the 'tiger' directory
+			TIGERSearchEngine.buildTIGERCorpus(tigerXMLDirectory, this.binaryDirectory, corpusName);
+		}
+	}
+}
\ No newline at end of file
Index: TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CallUD2TigerPerlScript.groovy
===================================================================
--- TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CallUD2TigerPerlScript.groovy	(revision 0)
+++ TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CallUD2TigerPerlScript.groovy	(revision 3300)
@@ -0,0 +1,52 @@
+package org.txm.scripts.importer.conllu
+
+import org.txm.utils.*
+
+def convertCoNLLUFiles(def input_directory_path, def output_directory) {
+	
+	def input_directory = new File(input_directory_path)
+	
+	if (input_directory_path.length() == 0 && input_directory.canRead()) {
+		println "** impossible to access directory $input_directory. Aborting."
+		return false
+	}
+	
+	def tigerXMLDirectory = new File(output_directory, "tiger-xml")
+	def conversionFile = new File(tigerXMLDirectory, "conversion.log")
+	def mainFullFile = new File(tigerXMLDirectory, "main-full.xml")
+	def mainFile = new File(tigerXMLDirectory, "main.xml")
+	def perlScript = BundleUtils.getFile("org.txm.conllu.core", "groovy", "/org/txm/scripts/importer/conllu/", "conll2tiger-ud.pl")
+	
+	tigerXMLDirectory.deleteDir()
+	//println "clean&mkdir $tigerXMLDirectory"
+	tigerXMLDirectory.mkdir()
+	
+	//println "Converting..."
+	
+	def subcorpusList = ""
+	for (def f : input_directory.listFiles()) {
+		
+		if (!f.getName().endsWith(".conllu")) {
+			continue
+		}
+		
+		try {
+			println "$f... "+"perl '$perlScript' -s 10000 -o '$tigerXMLDirectory' '$f'"
+			def p =  ["perl", "$perlScript", "-s", "10000", "-o", "$tigerXMLDirectory", "$f"].execute()
+			def sout = new StringBuilder(), serr = new StringBuilder()
+			p.consumeProcessOutput(sout, serr)
+			p.waitFor()
+			
+			subcorpusList += mainFile.readLines("UTF-8").findAll() {it.contains("<subcorpus ")}.join("\n") // tiger-xml/main.xml >> tiger-xml/subcorpus-list
+		} catch (Throwable t) { println "Error: $t" }
+	}
+	
+	//	println "subcorpus-list: "+subcorpusList
+	mainFullFile.setText(mainFile.getText().replaceAll("<subcorpus .+</subcorpus>", subcorpusList))
+	
+	conversionFile.delete()
+	mainFullFile.renameTo(mainFile)
+	
+	//println "Done."
+	return true
+}
Index: TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/tigerXml-commentOutLongSentences.xsl
===================================================================
--- TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/tigerXml-commentOutLongSentences.xsl	(revision 0)
+++ TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/tigerXml-commentOutLongSentences.xsl	(revision 3300)
@@ -0,0 +1,36 @@
+<!-- The Identity Transformation -->
+<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  
+  <!-- This stylesheet comments out the sentences containing more than 100 terminal nodes in Tiger XML files.
+    To change the theshold, puse the maxLength parameter.
+  
+  Written by A. Lavrentiev, CNRS, UMR IHRIM 2021-07-16
+  Licence: GNU GPL v.3
+  -->
+  
+  <!-- Whenever you match any node or any attribute -->
+  <xsl:template match="node()|@*">
+    <!-- Copy the current node -->
+    <xsl:copy>
+      <!-- Including any attributes it has and any child nodes -->
+      <xsl:apply-templates select="@*|node()"/>
+    </xsl:copy>
+  </xsl:template>
+  
+  <xsl:param name="maxLength" as="xs:integer">100</xsl:param>
+  
+  <xsl:template match="s">
+    <xsl:choose>
+      <xsl:when test="count(graph/terminals/t) gt $maxLength">
+        <xsl:comment>
+          Sentence too long (<xsl:value-of select="count(graph/terminals/t)"/> tokens) :
+          <xsl:for-each select="graph/terminals/t"><xsl:value-of select="@word"/><xsl:text> </xsl:text></xsl:for-each>
+        </xsl:comment>
+      </xsl:when>
+      <xsl:otherwise>
+        <xsl:copy-of select="."/>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+  
+</xsl:stylesheet>

Index: TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy
===================================================================
--- TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 0)
+++ TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 3300)
@@ -0,0 +1,239 @@
+package org.txm.scripts.importer.conllu
+
+import org.txm.Toolbox
+import org.txm.importer.xtz.ImportModule;
+import org.txm.metadatas.Metadatas
+import org.txm.utils.io.FileCopy
+import org.txm.utils.io.IOUtils
+import org.txm.importer.xtz.*
+import org.txm.scripts.importer.xtz.*
+import org.txm.conllu.core.function.ImportCoNLLUAnnotations
+import org.txm.conllu.core.preferences.UDPreferences
+import org.txm.importer.ApplyXsl2;
+import javax.xml.stream.*
+import org.txm.utils.AsciiUtils
+import org.txm.utils.ConsoleProgressBar
+import org.txm.conllu.core.preferences.UDPreferences
+/**
+ * Only build the Metadatas object since all XML-TXM files already exists.
+ * Metadatas is used to build text order.
+ * 
+ * 
+ * @author mdecorde
+ *
+ */
+class CoNLLUImporter extends XTZImporter {
+	
+	public CoNLLUImporter(ImportModule module) {
+		super(module);
+	}
+	
+	@Override
+	public void process() {
+		
+		File srcDirectory = new File(outputDirectory.getParentFile().getParentFile(), "conllu2tei")
+		srcDirectory.deleteDir();
+		srcDirectory.mkdirs();
+		
+		println "Convert CoNLL-U to XML-TEI..."
+		convert(inputDirectory, srcDirectory, project)
+		
+		inputDirectory = srcDirectory // switch source directory
+		
+		super.process();
+	}
+	
+	public static def convert(File inputDirectory, File srcDirectory, def project) {
+		
+		def files = inputDirectory.listFiles()
+		
+		if (files == null) {
+			println "Aborting. No CONLL file found in $inputDirectory."
+			return false
+		}
+		
+		def content = new LinkedHashMap(); // /text/par/sent
+		
+		def properties = Arrays.asList(ImportCoNLLUAnnotations.UD_PROPERTY_NAMES)
+		
+		String prefix = UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.UDPREFIX, UDPreferences.getInstance().getString(UDPreferences.UDPREFIX));
+		
+		UDPreferences.getInstance().setProjectPreferenceValue(project, UDPreferences.UDPREFIX, prefix); // copy the current preference into the corpus preference
+		
+		boolean keepContractions =  UDPreferences.getInstance().getString(UDPreferences.KEEP_CONTRACTIONS)
+		
+		boolean usenewdocid =  UDPreferences.getInstance().getString(UDPreferences.IMPORT_USE_NEW_DOC_ID)
+		
+		def headPropertiesToProject = UDPreferences.getInstance().getString(UDPreferences.IMPORT_HEAD_TO_PROJECT).split(",") as Set
+		
+		def depsPropertiesToProject = UDPreferences.getInstance().getString(UDPreferences.IMPORT_DEPS_TO_PROJECT).split(",") as Set
+		
+		ConsoleProgressBar cpb_texts = new ConsoleProgressBar(files.size())
+		
+		def docToMaster = [:]
+		println "Parsing CoNLL-U files..."
+		for (File master : files) {
+			
+			cpb_texts.tick()
+			
+			if (!master.getName().endsWith(".conllu")) {
+				continue;
+			}
+			
+			String text_id = master.getName();
+			String sent_id = "";
+			String par_id = "1";
+			
+			master.eachLine("UTF-8") { line ->
+				if (usenewdocid && line.startsWith("# newdoc id = ")) {
+					text_id = line.substring("# newdoc id = ".length())
+					
+					if (!docToMaster.containsKey(text_id)) docToMaster[text_id] = new HashSet();
+					docToMaster[text_id].add(master.getName())
+					
+				} else if (line.startsWith("# sent_id = ")) {
+					sent_id = line.substring("# sent_id = ".length())
+				} else if (line.startsWith("# newpar id = ")) {
+					par_id = line.substring("# newpar id = ".length())
+				} else if (line.startsWith("#")) {
+					//sent_id = line.substring("# sent_id = ".length())
+				} else {
+					if (text_id != null && sent_id != null) {
+						if (!content.containsKey(text_id)) {
+							content[text_id] = new LinkedHashMap()
+						}
+						def text = content[text_id]
+						if (!text.containsKey(par_id)) {
+							text[par_id] = new LinkedHashMap()
+						}
+						if (!text[par_id].containsKey(sent_id)) {
+							LinkedHashMap<String, HashMap<String, String>> sentenceProperties = new LinkedHashMap<String, HashMap<String, String>>();
+							text[par_id][sent_id] = sentenceProperties
+						}
+						HashMap<String, String> wProperties = new HashMap<String, String>()
+						
+						def split = line.split("\t")
+						if (split.size() == properties.size()) {
+							String id = split[0]
+							for (int i = 0 ; i < split.size() ; i++) {
+								wProperties[properties[i]] = split[i]
+							}
+							
+							text[par_id][sent_id][id] = wProperties
+						}
+					}
+				}
+			}
+		}
+		cpb_texts.done()
+		
+		println "Writing XML files..."
+		cpb_texts = new ConsoleProgressBar(content.size())
+		for (def text_id2 : content.keySet()) {
+			
+			cpb_texts.tick()
+			
+			File xmlFile = new File(srcDirectory, text_id2+".xml")
+			// println "xmlFile=$xmlFile"
+			BufferedOutputStream output = new BufferedOutputStream(new FileOutputStream(xmlFile))
+			XMLOutputFactory factory = XMLOutputFactory.newInstance()
+			XMLStreamWriter writer = factory.createXMLStreamWriter(output, "UTF-8")
+			
+			writer.writeStartDocument("UTF-8","1.0")
+			writer.writeStartElement ("TEI")
+			writer.writeDefaultNamespace("http://www.tei-c.org/ns/1.0")
+			writer.writeNamespace("txm", "http://textometrie.org/1.0")
+			writer.writeCharacters("\n")
+			writer.writeStartElement ("teiHeader")
+			writer.writeEndElement()
+			writer.writeCharacters("\n")
+			writer.writeStartElement ("text")
+			if (docToMaster.containsKey(text_id2)) {
+				writer.writeAttribute ("filename", docToMaster[text_id2].join(", "))
+			}
+			writer.writeCharacters("\n")
+			
+			def text = content[text_id2]
+			for (def par_id2 : text.keySet()) { // for all paragraph of the current text
+				
+				writer.writeStartElement ("p");
+				writer.writeAttribute("id", par_id2)
+				writer.writeCharacters("\n")
+				
+				for (def sent_id2 : text[par_id2].keySet()) { // for all sentence of the current paragraph
+					
+					writer.writeStartElement ("s")
+					writer.writeAttribute("id", sent_id2)
+					writer.writeCharacters("\n")
+					
+					def sentence = text[par_id2][sent_id2]
+					
+					if (!keepContractions) { // merge properties in the "-" word and remove the parts
+						for (String wordid : sentence.keySet()) {
+							def word = sentence[wordid]
+							if (word == null) continue;
+							
+							String id = word[0]
+							
+							if (id.contains("-")) { // multi-word line
+								int index = id.indexOf("-")
+								String id1 = id.substring(0, id)
+								String id2 = id.substring(id+1)
+								def token1 = sentence[id1]
+								def token2 = sentence[id2]
+								
+								if (token1 == null || token2 == null) {
+									println "Error: text $text_id2 paragraph $par_id2 sent $sent_id2 word $id has wrong token ids $id1 and $id2 -> $token1 and $token2"
+									continue
+								}
+								
+								for (String p : properties) {
+									if (p == "id") continue // don't merge the form property
+										if (p == "form") continue // don't merge the form property
+										word[p] =  token1[p] + "+" + token2[p]
+								}
+								sentence.remove(id1) // remove the token
+								sentence.remove(id2) // remove the token
+							}
+						}
+					}
+					
+					if (headPropertiesToProject.size() > 0 || depsPropertiesToProject.size() > 0) {
+						ImportCoNLLUAnnotations.buildPropertiesProjections(sentence, headPropertiesToProject, depsPropertiesToProject)
+					}
+					
+					for (String wordid : sentence.keySet()) {
+						def word = sentence[wordid]
+						
+						def id = word["id"]
+						
+						writer.writeStartElement ("w")
+						for (String p : word.keySet()) {
+							if (p == "feats") word[p] = "|"+word[p]+"|"
+							//println "WORD="+word
+							writer.writeAttribute(prefix+p, word[p])
+						}
+						
+						writer.writeCharacters(word["form"])
+						writer.writeEndElement() // w
+						writer.writeCharacters(" ")
+					}
+					writer.writeCharacters("\n")
+					writer.writeEndElement() // s
+				}
+				writer.writeCharacters("\n")
+				writer.writeEndElement() // p
+			}
+			
+			writer.writeEndElement() // text
+			writer.writeCharacters("\n")
+			writer.writeEndElement() // TEI
+			writer.close()
+			output.close()
+		}
+		
+		cpb_texts.done()
+		
+		return true
+	}
+}
Index: TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/tigerXml-sortBfmByDate.xsl
===================================================================
--- TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/tigerXml-sortBfmByDate.xsl	(revision 0)
+++ TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/tigerXml-sortBfmByDate.xsl	(revision 3300)
@@ -0,0 +1,283 @@
+<!-- The Identity Transformation -->
+<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" exclude-result-prefixes="#all">
+  
+  <!-- This stylesheet sorts the BFM texts by date in the main.xml file of TIGER Search indexes.
+  To use for other texts, replace the text-order variable. There must be a text element for every text file 
+  where the @id is the file name and @order is the sorting key.
+  
+  Written by A. Lavrentiev, CNRS, UMR IHRIM, 2021-07-16
+  GNU GPL v.3
+  -->
+  
+  
+  <!-- Whenever you match any node or any attribute -->
+  <xsl:template match="node()|@*">
+    <!-- Copy the current node -->
+    <xsl:copy>
+      <!-- Including any attributes it has and any child nodes -->
+      <xsl:apply-templates select="@*|node()"/>
+    </xsl:copy>
+  </xsl:template>
+  
+  <xsl:output indent="yes"/>
+  
+  <xsl:template match="corpus">
+    <xsl:copy>
+      <xsl:apply-templates select="@*"/>
+      <xsl:apply-templates select="head"/>
+      <body>
+        <xsl:for-each select="$text-order/text">
+          <xsl:sort select="@order"/>
+          <xsl:variable name="text-id"><xsl:value-of select="@id"/></xsl:variable>
+          <xsl:for-each select="$text-list/text">
+            <xsl:if test="@id = $text-id">
+              <subcorpus name='{@id}-{@n}' external='file:{@id}-{@n}.xml'/>
+            </xsl:if>
+          </xsl:for-each>
+        </xsl:for-each>
+      </body>
+    </xsl:copy>
+  </xsl:template>
+  
+  
+  <xsl:variable name="text-list">
+    <xsl:for-each select="//subcorpus">
+      <text id="{replace(@name,'-\d+$','')}" n="{replace(@name,'^.+-(\d+)$','$1')}"></text>
+    </xsl:for-each>
+  </xsl:variable>
+  
+  <xsl:variable name="text-order">
+    <text id="strasbBfm" order="0842strasbBfm"/>
+    <text id="eulaliBfm" order="0883eulaliBfm"/>
+    <text id="jonas" order="0945jonas"/>
+    <text id="passion" order="1000passion"/>
+    <text id="slethgier" order="1000slethgier"/>
+    <text id="AlexisS2_Prologue" order="1050aAlexisS2_Prologue"/>
+    <text id="AlexisRaM" order="1050bAlexisRaM"/>
+    <text id="roland" order="1100roland"/>
+    <text id="leiswillelm" order="1112leiswillelm"/>
+    <text id="comput" order="1116comput"/>
+    <text id="EpreuveJudic" order="1117EpreuveJudic"/>
+    <text id="Lapidal" order="1117Lapidal"/>
+    <text id="oxfps" order="1125oxfps"/>
+    <text id="bestiaire" order="1128bestiaire"/>
+    <text id="gormont" order="1130gormont"/>
+    <text id="Juise" order="1137Juise"/>
+    <text id="DescrEngl" order="1140DescrEngl"/>
+    <text id="guill1" order="1140guill1"/>
+    <text id="Lapidfp" order="1150Lapidfp"/>
+    <text id="PsArundP" order="1150PsArundP"/>
+    <text id="PsOrne" order="1150PsOrne"/>
+    <text id="thebes1" order="1150thebes1"/>
+    <text id="thebes2" order="1150thebes2"/>
+    <text id="brut2" order="1155brut2"/>
+    <text id="ChronSMichelBo" order="1155ChronSMichelBo"/>
+    <text id="eneas1" order="1155eneas1"/>
+    <text id="eneas2" order="1155eneas2"/>
+    <text id="floire_jl" order="1155floire_jl"/>
+    <text id="cambps" order="1157cambps"/>
+    <text id="pyrame" order="1157pyrame"/>
+    <text id="mf" order="1160mf"/>
+    <text id="CommPsia1a" order="1164CommPsia1a"/>
+    <text id="ProvSerlo" order="1165ProvSerlo"/>
+    <text id="philomena" order="1167philomena"/>
+    <text id="ErecKu" order="1170ErecKu"/>
+    <text id="narcisse_lai" order="1170narcisse_lai"/>
+    <text id="rou1" order="1170rou1"/>
+    <text id="rou2" order="1170rou2"/>
+    <text id="becket" order="1173becket"/>
+    <text id="BenDuc1b" order="1174BenDuc1b"/>
+    <text id="Fantosme" order="1174Fantosme"/>
+    <text id="thomas" order="1174thomas"/>
+    <text id="MirNDOrl" order="1175MirNDOrl"/>
+    <text id="RecMedJute" order="1175RecMedJute"/>
+    <text id="CligesKu" order="1176CligesKu"/>
+    <text id="CharretteKu" order="1179CharretteKu"/>
+    <text id="YvainKu" order="1179YvainKu"/>
+    <text id="beroul" order="1180beroul"/>
+    <text id="eracle" order="1180eracle"/>
+    <text id="renart1" order="1180renart1"/>
+    <text id="adgar" order="1183adgar"/>
+    <text id="BrutCist" order="1183BrutCist"/>
+    <text id="DialGreg1" order="1183DialGreg1"/>
+    <text id="DialGreg2" order="1183DialGreg2"/>
+    <text id="EpMontDeu" order="1183EpMontDeu"/>
+    <text id="guingamor" order="1183guingamor"/>
+    <text id="orange" order="1183orange"/>
+    <text id="PercevalKu" order="1183PercevalKu"/>
+    <text id="RecCoulTit" order="1183RecCoulTit"/>
+    <text id="RegleSBenCotton" order="1183RegleSBenCotton"/>
+    <text id="SBernAn" order="1183SBernAn"/>
+    <text id="SermMadn" order="1183SermMadn"/>
+    <text id="cobe" order="1185cobe"/>
+    <text id="SBernCant" order="1187SBernCant"/>
+    <text id="graelent" order="1189graelent"/>
+    <text id="BlondNesle" order="1190BlondNesle"/>
+    <text id="espine" order="1190espine"/>
+    <text id="melion" order="1190melion"/>
+    <text id="qlr" order="1190qlr"/>
+    <text id="tydorel" order="1190tydorel"/>
+    <text id="vidame" order="1190vidame"/>
+    <text id="bodelnic" order="1195bodelnic"/>
+    <text id="amiamil" order="1200amiamil"/>
+    <text id="conttyr_a" order="1200conttyr_a"/>
+    <text id="DialAme" order="1200DialAme"/>
+    <text id="Elucidaireiii" order="1200Elucidaireiii"/>
+    <text id="SAgnesDob" order="1200SAgnesDob"/>
+    <text id="escoufle" order="1201escoufle"/>
+    <text id="desire" order="1205desire"/>
+    <text id="villehardouin1" order="1206villehardouin1"/>
+    <text id="villehardouin2" order="1206villehardouin2"/>
+    <text id="belinc" order="1207belinc"/>
+    <text id="lecheor" order="1209lecheor"/>
+    <text id="nabaret" order="1209nabaret"/>
+    <text id="clari" order="1210clari"/>
+    <text id="dole" order="1210dole"/>
+    <text id="trot" order="1210trot"/>
+    <text id="aucassin" order="1212aucassin"/>
+    <text id="galeran" order="1212galeran"/>
+    <text id="tyolet" order="1212tyolet"/>
+    <text id="doon" order="1215doon"/>
+    <text id="renart10" order="1216renart10"/>
+    <text id="renart11" order="1216renart11"/>
+    <text id="ombre" order="1220ombre"/>
+    <text id="bibleberze" order="1221bibleberze"/>
+    <text id="gcoin1" order="1222gcoin1"/>
+    <text id="gcoin2" order="1222gcoin2"/>
+    <text id="gcoin3" order="1222gcoin3"/>
+    <text id="gcoin4" order="1222gcoin4"/>
+    <text id="SEustPr1" order="1225SEustPr1"/>
+    <text id="tdechamp" order="1226tdechamp"/>
+    <text id="qgraal_cm" order="1227qgraal_cm"/>
+    <text id="rosel" order="1227rosel"/>
+    <text id="violette" order="1228violette"/>
+    <text id="fournival" order="1230fournival"/>
+    <text id="merlin_suite_litt" order="1232merlin_suite_litt"/>
+    <text id="jehan" order="1235jehan"/>
+    <text id="SLambert" order="1242SLambert"/>
+    <text id="edconfcambr" order="1245edconfcambr"/>
+    <text id="ImMondePrK" order="1246ImMondePrK"/>
+    <text id="sarrasin" order="1249sarrasin"/>
+    <text id="atrper" order="1250atrper"/>
+    <text id="bestam" order="1250bestam"/>
+    <text id="chartes_aube13" order="1250chartes_aube13"/>
+    <text id="chartes_hain13" order="1250chartes_hain13"/>
+    <text id="ChirAlbT" order="1250ChirAlbT"/>
+    <text id="OrnDamesR" order="1250OrnDamesR"/>
+    <text id="raoul" order="1250raoul"/>
+    <text id="vergy" order="1250vergy"/>
+    <text id="menreims" order="1260menreims"/>
+    <text id="MirNDChartr" order="1262MirNDChartr"/>
+    <text id="RutebZ" order="1267RutebZ"/>
+    <text id="mestiersparis" order="1268mestiersparis"/>
+    <text id="trispr" order="1270trispr"/>
+    <text id="rosem1" order="1274rosem1"/>
+    <text id="rosem2" order="1274rosem2"/>
+    <text id="rosem3" order="1274rosem3"/>
+    <text id="SBath1" order="1275SBath1"/>
+    <text id="SGenPr1" order="1275SGenPr1"/>
+    <text id="grchron1" order="1277grchron1"/>
+    <text id="roisin" order="1280roisin"/>
+    <text id="JAntInv" order="1282JAntInv"/>
+    <text id="JAntRect" order="1282JAntRect"/>
+    <text id="beauma1" order="1283beauma1"/>
+    <text id="SGenPr3" order="1287SGenPr3"/>
+    <text id="joinville" order="1307joinville"/>
+    <text id="fauvel" order="1310fauvel"/>
+    <text id="fouke" order="1317fouke"/>
+    <text id="passbonnes" order="1317passbonnes"/>
+    <text id="passpal" order="1317passpal"/>
+    <text id="plaidsmortemer" order="1320plaidsmortemer"/>
+    <text id="moree" order="1322moree"/>
+    <text id="sardos" order="1324sardos"/>
+    <text id="prunier" order="1325prunier"/>
+    <text id="SBath4" order="1335SBath4"/>
+    <text id="magloire3" order="1337magloire3"/>
+    <text id="grchron9" order="1340grchron9"/>
+    <text id="GuillMachFortuneH" order="1341GuillMachFortuneH"/>
+    <text id="GuillMachLyonH" order="1342GuillMachLyonH"/>
+    <text id="ChaceOisiiT" order="1350ChaceOisiiT"/>
+    <text id="GuillMachPlourH" order="1350GuillMachPlourH"/>
+    <text id="prov" order="1350prov"/>
+    <text id="hlanc" order="1354hlanc"/>
+    <text id="daudin" order="1365daudin"/>
+    <text id="SGenPr2" order="1367SGenPr2"/>
+    <text id="Berin1" order="1370Berin1"/>
+    <text id="Berin2" order="1370Berin2"/>
+    <text id="oresme" order="1370oresme"/>
+    <text id="grchron_j2c5" order="1381grchron_j2c5"/>
+    <text id="regcrim1" order="1390regcrim1"/>
+    <text id="regcrim2" order="1390regcrim2"/>
+    <text id="dictier" order="1392dictier"/>
+    <text id="melusine" order="1392melusine"/>
+    <text id="menagier" order="1393menagier"/>
+    <text id="griseld" order="1395griseld"/>
+    <text id="maniere1396" order="1396maniere1396"/>
+    <text id="anglure" order="1398anglure"/>
+    <text id="maniere1399" order="1399maniere1399"/>
+    <text id="dizsages" order="1400dizsages"/>
+    <text id="ponthus" order="1400ponthus"/>
+    <text id="QJoyesKa" order="1400QJoyesKa"/>
+    <text id="froissart1" order="1402froissart1"/>
+    <text id="gerson_trinite" order="1402gerson_trinite"/>
+    <text id="cdo_peche" order="1404cdo_peche"/>
+    <text id="CoutHector1" order="1404CoutHector1"/>
+    <text id="pizan_charlesv1" order="1404pizan_charlesv1"/>
+    <text id="pizan_charlesv2" order="1404pizan_charlesv2"/>
+    <text id="donait" order="1405donait"/>
+    <text id="CoutRoum" order="1407CoutRoum"/>
+    <text id="baye1" order="1409baye1"/>
+    <text id="baye2" order="1409baye2"/>
+    <text id="LaurPremCas2_l6" order="1409LaurPremCas2_l6"/>
+    <text id="DocSMichel_a" order="1411DocSMichel_a"/>
+    <text id="cdo_retenue" order="1414cdo_retenue"/>
+    <text id="cdo_ballades" order="1415cdo_ballades"/>
+    <text id="maniere1415" order="1415maniere1415"/>
+    <text id="SBath3" order="1417SBath3"/>
+    <text id="quadrilogue" order="1422quadrilogue"/>
+    <text id="parlangl" order="1425parlangl"/>
+    <text id="morchesne" order="1426morchesne"/>
+    <text id="cdo_complaintes" order="1433cdo_complaintes"/>
+    <text id="SGenPr4" order="1433SGenPr4"/>
+    <text id="cdo_songe" order="1437cdo_songe"/>
+    <text id="ursins" order="1438ursins"/>
+    <text id="cdo_rondeaux" order="1443cdo_rondeaux"/>
+    <text id="monstre" order="1443monstre"/>
+    <text id="VidPierrePetit" order="1444VidPierrePetit"/>
+    <text id="louis11_215" order="1450louis11_215"/>
+    <text id="SBath2" order="1450SBath2"/>
+    <text id="SGenPr5" order="1450SGenPr5"/>
+    <text id="coutpoit_a" order="1451coutpoit_a"/>
+    <text id="saintre" order="1456saintre"/>
+    <text id="artois" order="1460artois"/>
+    <text id="jouvencel1" order="1461jouvencel1"/>
+    <text id="jouvencel2" order="1461jouvencel2"/>
+    <text id="villon" order="1461villon"/>
+    <text id="cnn" order="1462cnn"/>
+    <text id="pathelin" order="1462pathelin"/>
+    <text id="louis11_223" order="1463louis11_223"/>
+    <text id="louis11_234" order="1467louis11_234"/>
+    <text id="quenouilles1" order="1468quenouilles1"/>
+    <text id="louis11_248" order="1470louis11_248"/>
+    <text id="quenouilles2" order="1470quenouilles2"/>
+    <text id="passauv" order="1477passauv"/>
+    <text id="archier" order="1479archier"/>
+    <text id="theologie" order="1479theologie"/>
+    <text id="tringant" order="1480tringant"/>
+    <text id="mirsnicjuif" order="1483mirsnicjuif"/>
+    <text id="molinet1" order="1490molinet1"/>
+    <text id="jehpar" order="1494jehpar"/>
+    <text id="ressource" order="1494ressource"/>
+    <text id="phares" order="1496phares"/>
+    <text id="commyn1" order="1497commyn1"/>
+    <text id="commyn2" order="1497commyn2"/>
+    <text id="commyn3" order="1497commyn3"/>
+    <text id="commyn4" order="1497commyn4"/>
+    <text id="commyn5" order="1497commyn5"/>
+    <text id="commyn6" order="1497commyn6"/>
+    <text id="commyn7" order="1497commyn7"/>
+    <text id="commyn8" order="1497commyn8"/>
+    <text id="vigneulles" order="1510vigneulles"/>
+  </xsl:variable>
+  
+</xsl:stylesheet>

